;*
;* E$KEYS.H
;*
;* Literal definitions of the keyboard keys for programs and the E$LIB routines
;*
;*
;* (c) 1996	EARTH Software Development
;*		Netherlands
;*
;* (c) 2000-2015
;*	Software Development Studios'82
;*	Netherlands
;*
;*
;* Key definitions for use with E$LIB routines (see F-keys.txt)
;*
;* Controlling keys
;*
local literal
	K_NONE,	d1, 0
	K_SHFT,	d1, 1
	K_CTRL,	d1, 2

	;* F10 = Reserved by DBL
	;* F22 = SHIFT + F10 = Reserved by DBL
	;* F28 T/m F30 do not exist. CTRL + F4 is the same as F7
	;* F34 = CTRL + F10 = Reserved by DBL

	F_F01,	d3, 059
	F_F02,	d3, 060
	F_F03,	d3, 061
	F_F04,	d3, 062
	F_F05,	d3, 063
	F_F06,	d3, 064
	F_F07,	d3, 065
	F_F08,	d3, 066
	F_F09,	d3, 067
	F_F11,	d3, 133
	F_F12,	d3, 134
	F_F13,	d3, 084
	F_F14,	d3, 085
	F_F15,	d3, 086
	F_F16,	d3, 087
	F_F17,	d3, 088
	F_F18,	d3, 089
	F_F19,	d3, 090
	F_F20,	d3, 091
	F_F21,	d3, 092
	F_F23,	d3, 135
	F_F24,	d3, 136
	F_F25,	d3, 094
	F_F26,	d3, 095
	F_F27,	d3, 096
	F_F31,	d3, 068
	F_F32,	d3, 069
	F_F33,	d3, 070
	F_F35,	d3, 137
	F_F36,	d3, 138

			; DOS/Win	VMS/TSX
	F_INS,	d3, 082	; Insert

	F_HOM,	d3, 071	; Home
	F_FIND,	d3, 071	;		Find

	F_PUP,	d3, 073	; Page UP
	F_DEL,	d3, 083	; Delete

	F_END,	d3, 079	; End
	F_SEL,	d3, 079	;		Select

	F_PDN,	d3, 081	; Page DOWN

	F_CUP,	d3, 072	; Cursor UP
	F_CLE,	d3, 075	; Cursor LEFT
	F_CDN,	d3, 080	; Cursor DOWN
	F_CRI,	d3, 077	; Cursor RIGHT

	K_CTL_A,d3, 001	; Control-A
	K_CTL_B,d3, 002	; Control-B
	K_CTL_C,d3, 003	; Control-C
	K_CTL_D,d3, 004	; Control-D
	K_CTL_E,d3, 005	; Control-E
	K_CTL_F,d3, 006	; Control-F
	K_CTL_G,d3, 007	; Control-G
	K_CTL_H,d3, 008	; Control-H
	K_CTL_I,d3, 009	; Control-I
	K_CTL_J,d3, 010	; Control-J
	K_CTL_K,d3, 011	; Control-K
	K_CTL_L,d3, 012	; Control-L
	K_CTL_M,d3, 013	; Control-M
	K_CTL_N,d3, 014	; Control-N
	K_CTL_O,d3, 015	; Control-O
	K_CTL_P,d3, 016	; Control-P
	K_CTL_Q,d3, 017	; Control-Q
	K_CTL_R,d3, 018	; Control-R
	K_CTL_S,d3, 019	; Control-S
	K_CTL_T,d3, 020	; Control-T
	K_CTL_U,d3, 021	; Control-U
	K_CTL_V,d3, 022	; Control-V
	K_CTL_W,d3, 023	; Control-W
	K_CTL_X,d3, 024	; Control-X
	K_CTL_Y,d3, 025	; Control-Y
	K_CTL_Z,d3, 026	; Control-Z

	K_A,	d3, 065
	K_B,	d3, 066
	K_C,	d3, 067
	K_D,	d3, 068
	K_E,	d3, 069
	K_F,	d3, 070
	K_G,	d3, 071
	K_H,	d3, 072
	K_I,	d3, 073
	K_J,	d3, 074
	K_K,	d3, 075
	K_L,	d3, 076
	K_M,	d3, 077
	K_N,	d3, 078
	K_O,	d3, 079
	K_P,	d3, 080
	K_Q,	d3, 081
	K_R,	d3, 082
	K_S,	d3, 083
	K_T,	d3, 084
	K_U,	d3, 085
	K_V,	d3, 086
	K_W,	d3, 087
	K_X,	d3, 088
	K_Y,	d3, 089
	K_Z,	d3, 090

	;* Special keys
	K_BSP,	d3, 008	; also possible with CTRL
	K_TAB,	d3, 009
	K_RET,	d3, 013
	K_ARET,	d3, 028
	K_ESC,	d3, 027
	K_DEL,	d3, 127

