;*
;* EARTH.H
;*
;* Common definitions for programs and the E$LIB routines
;*
;*
;* (c) 1996-1999
;*	EARTH Software Development
;*	Netherlands
;*
;* (c) 2000-2015
;*	Software Development Studios'82
;*	Netherlands
;*

;*
;* Machine definitions
;*
.include 'e$lib:e$mach.h'

;*
;* Synergy Windows
;*
.include 'wnd:windows.def'

;*
;* Key definitions
;*
.include 'e$lib:e$keys.h'

;*
;* Functions
;*
external function
	e$confrm,	d
	e$smenu,	d
	e$term,		a
	e$chkwld,	d
       e$decode,       d


;* Vars used by E$LIB routines
common	e$usr			; Filled in by E$TERM
	e$usr_term,	d3	; Terminal number
	e$usr_name,	a15
	e$usr_mode,	a15	; Interactive or not
	e$usr_stat,	d1	; What to do in E$INIT
	e$usr_admn,	d3	; Administration number
	e$usr_prtn,	d2	; Default printer queue (DBL$LP*)
	e$usr_intl,	a4	; Internationals (ex. ".,-:")
				;	   pos 1 = Thousand separator.
				;	   pos 2 = Decimal point.
				;	   pos 3 = Date sep.
				;	   pos 4 = Time sep.
	e$usr_lang,	a1	; Language code
	e$usr_admf,	a32	; Name of administration file
	e$usr_flag,	d10	; Flag settings
	e$usr_fkys,	d1	; 1=Allow Function keys
	e$usr_fatt,	d2	; Attributes for E$FATAL
	e$usr_ywrd,     a5      ; YES-word in language E$USR_LANG
	e$usr_nwrd,     a5      ; NO-word  in language E$USR_LANG
	e$usr_fill,	a14	; For future use.

common
	group e$_chr,	a	; (return) F-Key entered by the user
		ck,	d1	; Controlling key (K_SHFT, etc)
		ky,	d3	; F_KEY
	endgroup

	e$_att,	d2	; (before) Attribute setting
	e$_atc,	d2	; (before) Attribute color palette setting (WIN)

	e$_len,	d3	; (return) Length of string entered
	e$_upc,	d1	; (before) Upcase 'a'-'z'

	e$_err,	d3	; (return) Error that occurred
	e$_errid,a7	; (return) Message ID of error that occurred.
			;	   For use with E$CLCDAT and the E$MSG-library of routines.
	e$_erw,	d3	; (return) Error that occurred in a E$WND* routine.
	e$_lin,	d4	; (return) Line where error occurred
	e$_liw,	d4	; (return) Line where error occurred in a E$WND* routine.

	e$_win,	i4	; (before) Main window id (set & used by E$-routines)
	e$_curw,i4	; Current window id (set & used by E$-routines)

	e$_date,d8	; Current date
	e$_time,d6	; Time program started

	e$_sup,	d1	; 1=Save screen I/O
	e$_pgsz,d2      ; Size in rows of display screen set by logical E$PAGESIZE

common
	e$_sys,	d3	; OS type
	e$_mach,d3	; Machine type

	e$_pgm,	a32	; Program name
	e$_pgm_serial,a10
	e$_dbl,	a50	; DBL Version
	e$_dbl_serial,a10

	e$_pkg,	a3	; Software package code used in E$TERM function
	e$_pkg_serial,a10
	e$_xib_serial,a10
	e$_lib_serial,a10

;*
;* Channel definitions
;*
common
	chtt,	d3, 001
	cherr,	d3, 080		; E$FATAL logging
	chadm,	d3, 081		; Channel administration file
	chfdf,	d3, 082		; Channel file definition file
	chpdf,	d3, 083		; Channel printer definition file
	chtmp,	d3, 084		; Temp channel for E$LIBRARY routines.

;* To test E$USR_MODE
local literal
	i_proc,	a*, 'INTERACTIVE'
	b_proc,	a*, 'BATCH      '

record
        ;* For use with E$CONFRM
	cnmin,	d3
	cnmax,	d3
        ;* For use with E$YESNO
	yn,	a1

;* For use with screen I/O routines
record
	xxpos,	d5
	zzpos,	d5
record,x
	ypos,	d2
	xpos,	d3
	zypos,	d2
	zxpos,	d3

;* Function-keys
common	fkyara
	F01,	d1
	F02,	d1
	F03,	d1
	F04,	d1
	F05,	d1
	F06,	d1
	F07,	d1
	F08,	d1
	F09,	d1
	F10,	d1
	F11,	d1
	F12,	d1
	F13,	d1
	F14,	d1
	F15,	d1
	F16,	d1
	F17,	d1
	F18,	d1
	F19,	d1
	F20,	d1
	F21,	d1
	F22,	d1
	F23,	d1
	F24,	d1
	F25,	d1
	F26,	d1
	F27,	d1
	F28,	d1
	F29,	d1
	F30,	d1
	F31,	d1
	F32,	d1
	F33,	d1
	F34,	d1
	F35,	d1
	F36,	d1

;* Indicator array (a la RPG/400)
record	indara
	in,	99d1	; Indicator array
record,x
	in01,	d1
	in02,	d1
	in03,	d1
	in04,	d1
	in05,	d1
	in06,	d1
	in07,	d1
	in08,	d1
	in09,	d1
	in10,	d1
	in11,	d1
	in12,	d1
	in13,	d1
	in14,	d1
	in15,	d1
	in16,	d1
	in17,	d1
	in18,	d1
	in19,	d1
	in20,	d1
	in21,	d1
	in22,	d1
	in23,	d1
	in24,	d1
	in25,	d1
	in26,	d1
	in27,	d1
	in28,	d1
	in29,	d1
	in30,	d1
	in31,	d1
	in32,	d1
	in33,	d1
	in34,	d1
	in35,	d1
	in36,	d1
	in37,	d1
	in38,	d1
	in39,	d1
	in40,	d1
	in41,	d1
	in42,	d1
	in43,	d1
	in44,	d1
	in45,	d1
	in46,	d1
	in47,	d1
	in48,	d1
	in49,	d1
	in50,	d1
	in51,	d1
	in52,	d1
	in53,	d1
	in54,	d1
	in55,	d1
	in56,	d1
	in57,	d1
	in58,	d1
	in59,	d1
	in60,	d1
	in61,	d1
	in62,	d1
	in63,	d1
	in64,	d1
	in65,	d1
	in66,	d1
	in67,	d1
	in68,	d1
	in69,	d1
	in70,	d1
	in71,	d1
	in72,	d1
	in73,	d1
	in74,	d1
	in75,	d1
	in76,	d1
	in77,	d1
	in78,	d1
	in79,	d1
	in80,	d1
	in81,	d1
	in82,	d1
	in83,	d1
	in84,	d1
	in85,	d1
	in86,	d1
	in87,	d1
	in88,	d1
	in89,	d1
	in90,	d1
	in91,	d1
	in92,	d1
	in93,	d1
	in94,	d1
	in95,	d1
	in96,	d1
	in97,	d1
	in98,	d1
	in99,	d1

;*
;* Compatible with Multihouse Software
;* (LEAVE THIS RECORD ALWAYS AT THE END OF THE INCLUDE FILE)
;*
common	e$adm
	e$adm_num,	d3
	,		a2	; NOT USED, ALWAYS '00'
	e$adm_pkg,	a30	; Name of software package
	e$adm_nam,	a40	; Name of administration
	e$adm_fdf,	a25	; Name of File Definition File
	e$adm_pdf,	a25	; Name of Printer Definition File
	e$adm_fil,	a75	; Filler
	e$adm_usr,	a308	; For the user. Use your own recordlayout with COMMON,X
