$ set noverify
$!
$! ----------------------------------------------------
$! This procedure starts a text-editor for manipulating
$! source-files.
$!
$! Create PATH logical VIA_LIST: which is used here to
$! search for the file specified.
$!
$! The name of the last file edited is saved in the
$! environmentvariable L_E_F (Last_Edited_File), so if
$! you immediately need it again, just type VI.
$!
$! You can of course rename this procedure if you don't
$! like the UNIX command.
$! ----------------------------------------------------
$!
$ esc = "_"     ! Put a ASCII 27 in here.
$!
$	ro = "NOREAD_ONLY"
$	if p1.eqs."-W" then ro = "READ_ONLY"
$	if p1.eqs."-W"
$	then
$		p1 = p2
$		p2 = ""
$	endif

$	wild = 0
$	if p1.eqs."-R" then p2 = "-R"
$	if p1.eqs."-R" then p1 = ""

$	if l_e_f.eqs."" .or. p1.nes."" then goto No_Last_File
$	file = l_e_f
$	goto Edit

$ No_last_file:
$	if p1.eqs."" then inquire p1 "_File "
$	if p1.eqs."" then exit

$	file = p1
$	l = f$length(file)
$	p = f$locate(":", file)
$	if p.eq.l then file = "VIA_LIST:" + file

$	l = f$length(file)
$	p = f$locate(".", file)
$	q = f$locate("*", file)

$	if q.ne.l then wild = 1
$	if wild.eq.0 .and. p.eq.l then file = file + ".*"

$ Edit:
$	on warning then goto Notfind

$	source = f$search (file)
$	if source.eqs."" then goto Notfind

$	if wild.eq.1 then source = file
$	ftype = f$parse(source,,,"TYPE")
$	if ftype.eqs.".TJL" then goto Edit
$	if ftype.eqs.".JOU" then goto Edit
$	if ftype.eqs.".OBJ" then goto Edit
$	if ftype.eqs.".DIR" then goto Edit
$	if ftype.eqs.".EXE" then goto Edit
$	if ftype.eqs.".OLB" then goto Edit

$ Verder:
$	if wild.ne.1
$	then
$		@e$sys:chkuse.cmd 'source'
$		if $status.eq.%X99 then exit
$	endif

$	echo "%EDIT-I-FILE, Editing ",esc,"[1m", source, esc,"[0m"
$	assign/user tt sys$input

$	if p2.eqs."-R" then edit/tpu/rec 'source'
$	if p2.nes."-R" .and. p3.eqs."" then edit/tpu/'ro' 'source'
$	if p2.nes."-R" .and. p3.nes."" then edit/tpu/'ro'/outp='p3' 'source'
$!
$	ext = f$parse(source,,, "VERSION")
$	source = source - ext
$	l_e_f :== 'source'
$	EXIT

$ Notfind:
$	echo "%EDIT-W-FILNFND, ", file, " not found."

$	inquire p1 "Continue editing?
$	if p1.eqs."N" then exit

$	source = file - "VIA_LIST:"
$	goto Verder

